<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity Order.
    -->
    <changeSet id="20240701113553-1" author="jhipster">
        <createTable tableName="jhi_order">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="address" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="phone_number" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="name" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="order_status" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="order_at" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="is_deleted" type="boolean">
                <constraints nullable="true" />
            </column>
            <column name="user_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="jhi_order" columnName="order_at" columnDataType="${datetimeType}"/>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20240701113553-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/jhi_order.csv"
                  separator=";"
                  tableName="jhi_order"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="address" type="string"/>
            <column name="phone_number" type="string"/>
            <column name="name" type="string"/>
            <column name="order_status" type="string"/>
            <column name="order_at" type="date"/>
            <column name="is_deleted" type="boolean"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
